Skip to main content

Create an App Attestation for a dispatch target

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/dispatch-targets/:dispatchTargetExtId/app-attestation

Since: 8.2605.0, 9.2605.0

Required permission(s): (AccessControl.CredentialCreate orAccessControl.DispatchTargetCreate)

Creates an App Attestation and associates it with the specified dispatch target.

An app attestation represents a statement from an application about the authenticity of the device or environment it is running in. This operation allows associating an app attestation with a dispatch target, which can be used for additional security checks during authentication.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    dispatchTargetExtId stringrequired

    External ID of the dispatch target.

    Example: dt-123

Body

required
    name string

    User friendly name of the iOS App Attestation.

    counter int32

    Number of times the attestation was used to successfully validate an assertion.

    receipt stringrequired

    Possible values: non-empty

    Receipt of the iOS App Attestation.

    publicKey stringrequired

    Possible values: non-empty

    Public key of the iOS App Attestation.

    deviceId stringrequired

    Possible values: non-empty

    Device ID associated with the iOS App Attestation.

    environment string

    The environment where this credential can be used.

Responses

App Attestation created successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    name string

    User friendly name of the iOS App Attestation.

    counter int32

    Number of times the attestation was used to successfully validate an assertion.

    receipt string

    Receipt data of the iOS App Attestation.

    publicKey string

    Public key of the iOS App Attestation.

    deviceId string

    Device ID associated with the iOS App Attestation.

    environment string

    The environment where this credential can be used.

Loading...